@import "_variables.less";

.modal-open .modal.contact-sheet-modal {
  .modal-dialog {
    margin-top: 20px;
    width: 360px;
  }

  .modal-content {
    border-radius: 15px;
    background: linear-gradient(180deg, @agent-search-background 0%, @xivo-light 100%);
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    margin-right: 1px;
    margin-left: 1px;
  }

  .nd-action-button {
    width: 35px;
    height: 35px;
    display: flex;
    border-radius: 50%;
    justify-content: center;
    align-items: center;
    background: @xivo-light;
    font-size: 20px;
    margin-right: 10px;
    cursor: pointer;
    outline: none;

    &:hover {
      opacity: 0.8;
    }
  }

  .xivo-phone-plus-wrapper {
      position: relative;

        .xivo-phone-plus {
          font-size: 12px;
          position: absolute;
          bottom: 8px;
          right: -3px;
          text-shadow: none;
          font-family: 'FontAwesome' !important;
        }
  }

  .call-buttons {
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }

  .avatar-status {
    display: flex;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    justify-content: center;
    align-items: center;
    min-width: 60px;
    min-height: 60px;

    .avatar-circle {
      display: flex;
      width: 55px;
      height: 55px;
      border-radius: 50%;
      justify-content: center;
      align-items: center;
      background-color: @xivo-light;

      span {
        text-transform: uppercase;
        font-size: 20px;
        padding: 4px;
      }
      .xivo-meeting {
        color: @xivo-success;
      }
    }
  }
  .avatar-star {
    display: none;
  }

}

.contact-sheet {
  color: @xivo-dark;

  &.header {
    margin: 0;
    padding: 10px;
    padding-bottom:0;

    .name-surname {
      font-size: 16px;
    }

    .job, .business-unit {
      font-size: 14px;
    }
  }

  &.action {
    margin-bottom: 0px;
    margin-top: 15px;
    margin-left: 10px;
    justify-content: left;
  }

  &.section {
    margin: 5px 10px;
    .line {
      .value {
        font-size: 15px;
        span, a {
          max-width: 210px;
        }
      }
    }
  }

  .name-service-post-section {
    .name-surname, .job, .business-unit {
      max-width: 210px;
    }
  }

  .button.disabled {
    .nd-action-button , .nd-action-button:hover:not(.disabled){
      opacity: 0.5;
      cursor: not-allowed;

      &:hover {
        background: @xivo-light;
        cursor: not-allowed;
        i {
          cursor: not-allowed;
          .gradient-background(@btn-primary-color-off);
        }
      }
    }
  }
}
